## edlio 0.2.0

=== requirements.txt ===
tomlkit>=0.6.0
numpy>=1.17
xxhash>=2.0
Pint>=0.10

=== docs/requirements.txt ===
-r ../requirements.txt
sphinx>=6.0
pygments>=2.6
pydata-sphinx-theme
sphinx-autodoc-typehints
neo

=== debian/changelog ===
edlio (0.2.0-1) unstable; urgency=medium

  * Initial release.

 -- Matthias Klumpp <mak@debian.org>  Sun, 18 Feb 2024 19:56:46 +0100

=== debian/control ===
Source: edlio
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               flit,
               pybuild-plugin-pyproject,
               python3-all,
               python3-neo,
               python3-numpy,
               python3-pandas,
               python3-pint,
               python3-pytest,
               python3-tomlkit,
               python3-xxhash,
               python3-zstandard
Standards-Version: 4.6.2
Homepage: https://edl.readthedocs.io/
Vcs-Git: https://salsa.debian.org/science-team/edlio.git
Vcs-Browser: https://salsa.debian.org/science-team/edlio
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-edlio
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python3-pandas
Description: Python support for data in an Experiment Directory Layout (EDL)
 Experiment Directory Layout (EDL) is a defined directory structure for raw
 data recordings of scientific experiments, primarily used in neurosciences.
 It allows a variety of data formats to be stored, with comprehensive
 accompanying metadata being saved in human-readable TOML markup files.
 It is used extensively by the Syntalos data acquisition system.
 .
 This package contains a Python module to read and write data and metadata
 in an EDL directory structure.

## edlio 0.2.1

=== debian/changelog ===
edlio (0.2.1-2) unstable; urgency=medium

  * Team Upload
  * Use canonical team address
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sun, 06 Apr 2025 13:50:58 +0200

edlio (0.2.1-1) unstable; urgency=medium

  * New upstream version: 0.2.1
  * Bump standards version (no changes needed)

 -- Matthias Klumpp <mak@debian.org>  Tue, 01 Oct 2024 21:48:54 +0200

edlio (0.2.0-2) unstable; urgency=medium

  * No-change source-only upload.

 -- Matthias Klumpp <mak@debian.org>  Mon, 18 Mar 2024 19:10:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: edlio
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                flit,
                pybuild-plugin-pyproject,
                python3-all,
@@ -16,7 +16,7 @@
                python3-tomlkit,
                python3-xxhash,
                python3-zstandard
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://edl.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/science-team/edlio.git
 Vcs-Browser: https://salsa.debian.org/science-team/edlio

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=edlio
export PYBUILD_SYSTEM=pyproject

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/edlio-$1\.tar\.gz/ \
    https://github.com/bothlab/edlio/tags .*/v?(\d\S*)\.tar\.gz
